CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003002CentOS-5kernelpublic2008-07-20 18:542009-02-23 10:21
ReporterToddAndMargo 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.2 
Target VersionFixed in Version5.3 
Summary0003002: kernel panic when writing to a SATA Plextor PX-755SA, Bios 1.07 DVD/CD burner
DescriptionHi All,

   This is a follow up of http://bugs.centos.org/view.php?id=2999, [^]
which was closed do to lack of information. I now have everything
you guys need. (You guys do realize it takes time to chase down
those pesky leprechauns and get them to tell you what they did?
Especially, when they are off tormenting some poor guy's Windows
server.) Also, I am a little calmer now.

This problem first occurred in CentOS 4.x. I had several servers out
there with Plextor SATA drives in them. If you wrote "anything"
to them with "any program", you got a kernel panic. I had
the replace them all with PATA drives at my own expense.

When CentOS 5.0 came along, the problem disappeared. I
have one Plextor SATA drive left out there: mine. It
seems that whatever kernel changes were made between
CentOS 5.1 and 5.2, the problem came back in spades.

Since upgrading top CentOS 5.2, six times now while cutting a data
dvd with k3b/growsiofs, my machine has gone into a kernel. And, twice my
file system got corrupted. Bad corrupted. Had I not had excellent
backup, I would have lost my business.

To reproduce this:

1) BACKUP YOUR SYSTEM. Do not get arrogant and think this can only
happen to me. Backup up your stuff.

2) Create a compressed single file of approximate 1 to 2 GB in size.
I used "dump" ($dpath -0a -z -f $DumpFile $OurStuff'/.')

3) write this file to a SATA DVD burner with K3B/growisofs.

Repeat this enough times, you will get a kernel panic. Should only
take about 4 to 8 attempts.

Just a note on bug 2999. I see no reason to pay Red Hat for their services
just to be told it is "my problem" and "go ask the groups". Besides, I
like you guys better. So, you have to fix it.

And, since I will be removing my SATA Plextor PX-755SA drive shortly
(I really need to burn DVD's) and replacing it with whatever the "groups"
(or you guys) recommend, I will ship my old drive to whoever wants
to work on this bug. Take that for reproducibility!

Let me know if you need addition information (and give me a few days
to round up the leprechauns again).

Many thanks,
-T
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007718)
ToddAndMargo (reporter)
2008-07-21 00:04

More info:

My mobo: http://www.supermicro.com/products/motherboard/Xeon1333/5000X/X7DAL-E+.cfm [^]
My chipset: http://www.intel.com/products/server/chipsets/5000x/5000x-overview.htm [^]

Also, I have zillions (well about 20) of these Plextor SATA drives out there
on Windows XP machines and have never had a problem. That is why I thought
I would get away with them on Linux machines. Anything Windows can do, Linux can do ten times better.
(0007719)
ToddAndMargo (reporter)
2008-07-21 00:36

More info: I also have two removable SATA hard disk drives (not eSata, just
SATA in a removable carriage) that I swap back and forth for one of
my backups. Never had a single problem. They are on channel 0; the SATA
DVD burner is on channel 1. My main drive is on an LSI MegaRAID controller
(0007721)
ToddAndMargo (reporter)
2008-07-21 04:37

More info: this is probably not related, but just in case:
my DVD burner (SATA Plextor PX-755SA, Bios 1.07) does not read
DVD-video disks (it is not suppose to). If you insert one and
then try to play it with any SMplayer, the light on the front of
the burner blinks rapidly for a bit, then you get a kernel panic.
(I reproduced this twice; I am not crazy enough to try a third time.)

Anyone want my drive (to test this bug -- Linux should run even
if I push the drive up my nose)? It comes complete with its own
pesky leprechauns!

-T
(0007725)
tru (administrator)
2008-07-21 12:02

- thanks for all the hardware information.
- with all your crashes, don't you have any logs ?
- I haven't found anything close to your issue on the Red Hat bugzilla,
except https://bugzilla.redhat.com/show_bug.cgi?id=453808 [^]
- you can probably post it to the centos-mailing list requesting for
tester of the same kind of hardware (SATA/DVD)?

I don't think you want to ship a full system to France for me to test it ;).
(0007730)
tru (administrator)
2008-07-21 17:13

thread discussion on http://lists.rpmforge.net/pipermail/users/2008-July/001704.html [^]

possible bad interaction between kernel and this specific SATA DVD model or bad hardware.
(0007731)
ToddAndMargo (reporter)
2008-07-21 17:16

Hi Tru,

This is from my /var/log/messages.1 on the second file system crash.
It took out my /lib/libdevmapper.so.1.02. Fortunately , it was also used by
the rescue disk, so it was an easy copy over. Well, easy after I figured out
that the missing file was why I kept dropping into manual mode and fsck
would not work. I was lucky: the first crash the week before took out my
/home directory.

I do not think the red hat link applies.

The whole computer? No, just the evil DVD drive! ;-)

--T

Jul 18 23:00:53 rn1 kernel: usb 1-7.1: USB disconnect, address 6

Jul 18 23:00:54 rn1 kernel: usb 1-7.3: USB disconnect, address 5

Jul 18 23:02:37 rn1 kernel: cdrom: This disc doesn't have any tracks I recognize!

Jul 18 23:04:33 rn1 last message repeated 2 times

Jul 18 23:10:18 rn1 last message repeated 3 times

Jul 18 23:10:22 rn1 smbd[6343]: [2008/07/18 23:10:22, 0] lib/util_sock.c:read_data(534)

Jul 18 23:10:22 rn1 smbd[6343]: read_data: read failure for 4 bytes to client 192.168.255.197. Error = No route to host

Jul 18 23:10:46 rn1 kernel: cdrom: This disc doesn't have any tracks I recognize!

Jul 18 23:45:40 rn1 syslogd 1.4.1: restart.
(0007732)
ToddAndMargo (reporter)
2008-07-21 18:09

> possible bad interaction between kernel and this specific SATA DVD
> model or bad hardware.

I am pretty convinced that it is my DVD drive. Although, the kernel should
not respond in this way. This kind of thing should only caused a bunch
of notes in the messages log, not a panic. This is the bug that needs
fixing. And, if Uncle Bill's stuff (XP) can tolerate this drive, Linux
should also.
(0007764)
ToddAndMargo (reporter)
2008-07-28 00:26

New information:

I replaced my SATA Plextor PX-755SAn with a SATA Sony/NEC/Optiarc AD-7200S-0B DVD burner (Tom's Hardware gave it top honors). Then I made two full backups
on different media.

The very first DVD I cut causes a kernel panic.

So, I removed the oft maligned mkisofs-2.01.10 and replaced it with the
official cdrtools-2.01.01a43.tar.gz. Then back to the testing. I managed
to successfully burn eight DVD. I thought I had discovered the cure.
Plus cdrtools works better than the hack. But, the ninth DVD causes another
kernel panic. Poop!

And, yes, file system corruptions did occur (I fixed them).

So, the DVD burner is found not guilty. I do believe that leaves the kernel.
Am I correct?


Question: is it time to post this over in http://bugzilla.kernel.org? [^]
(I do not feel like taking a bunch of poop about running a "backported"
kernel, but I will if it gets this fixed.)

Many thanks,
-T
(0007795)
ToddAndMargo (reporter)
2008-08-02 22:24

Hi All,

   Changed my "elevator" from "as" (anticipatory) to "noop".
Did two fulls backup dumps, then tried cutting a DVD. First
DVD caused a kernel panic.

   On the bright side, my dumps went ~ 1.5 MB/s faster. And this
time I did not have to drop into "manual" to do an fsck when I
rebooted. I subsequently did two "shutdown -rF now" and they went
through without dropping to manual either.

  Is it time to report this to bugzilla.kernel.org?

Yours,
-T
(0007798)
ToddAndMargo (reporter)
2008-08-03 18:41

More info: I should point out that I have ZERO problems with writing CDs.
The kernel panic only happens when writing DVDs.
(0007886)
ToddAndMargo (reporter)
2008-08-30 01:28

Just thought you'd like to know what is going on here:

1) I have stayed away from burning DVD's, except once by accident.
I ran k9copy and it automatically started K3B. I did not realize it
would do that, or I wouldn't have run it. I got a kernel panic at
the splash screen for K3B. Bummer.

2) To burn DVD's, I have switched over to Windows Deep Burner under WINE.

As long is I can get a Windows DVD burner program to run under WINE (no
small task), I can avoid kernel panics.

Question: would my ability to run WINE burners point to the problem being
with the software and not the (assumed) kernel?

-T
(0008025)
ToddAndMargo (reporter)
2008-09-21 04:52

Yipee!! I am not the only one. Please see
 
         http://bugzilla.kernel.org/show_bug.cgi?id=7372#c153 [^]

Can anyone confirm that my problem is one in the same as their problem?

-T
(0008820)
ToddAndMargo (reporter)
2009-02-22 00:17

Hi All,

I am the original poster.

David Milburn of Red Hat has solved and corrected this problem. (Although a patch will be a while getting to us.) Please reference:

5000x chipset, cutting data DVD with K3b/growisofs causes kernel panic and trashes file system
https://bugzilla.redhat.com/show_bug.cgi?id=468624 [^]

and

crash formatting a DVD under libata
https://bugzilla.redhat.com/show_bug.cgi?id=446086 [^]

Would the moderator of this BZ please change the status of this bug to FIXED (or whatever is appropriate).

Yipee!

Many thanks,
-T
(0008826)
tru (administrator)
2009-02-22 13:26

thanks for the feedback -> fixed with upstream > -131 release version
as stated in https://bugzilla.redhat.com/show_bug.cgi?id=446086 [^]
(0008827)
tru (administrator)
2009-02-22 13:27

upstream ack'ed
(0008832)
range (administrator)
2009-02-23 10:21

Should be fixed in 5.3? Closing on reporter's request.

- Issue History
Date Modified Username Field Change
2008-07-20 18:54 ToddAndMargo New Issue
2008-07-21 00:04 ToddAndMargo Note Added: 0007718
2008-07-21 00:36 ToddAndMargo Note Added: 0007719
2008-07-21 04:37 ToddAndMargo Note Added: 0007721
2008-07-21 12:02 tru Note Added: 0007725
2008-07-21 17:13 tru Note Added: 0007730
2008-07-21 17:16 ToddAndMargo Note Added: 0007731
2008-07-21 18:09 ToddAndMargo Note Added: 0007732
2008-07-28 00:26 ToddAndMargo Note Added: 0007764
2008-08-02 22:24 ToddAndMargo Note Added: 0007795
2008-08-03 18:41 ToddAndMargo Note Added: 0007798
2008-08-30 01:28 ToddAndMargo Note Added: 0007886
2008-09-21 04:52 ToddAndMargo Note Added: 0008025
2009-02-22 00:17 ToddAndMargo Note Added: 0008820
2009-02-22 13:26 tru Note Added: 0008826
2009-02-22 13:27 tru Note Added: 0008827
2009-02-22 13:27 tru Status new => acknowledged
2009-02-23 10:21 range Note Added: 0008832
2009-02-23 10:21 range Status acknowledged => resolved
2009-02-23 10:21 range Fixed in Version => 5.3
2009-02-23 10:21 range Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker